using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Chart;
using System.Drawing.Drawing2D;
using System.Collections;

namespace Chart_with_DataTable
{
    public partial class Form1 : Form
    {

        private DataTable mDataTable;
        ChartDataBindAxisLabelModel xAxisLabelModel = null;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.chartControl1.Text = "Chart with DataTable";

            InitializeDataTable();
            ChartSeries series1 = this.chartControl1.Model.NewSeries("New", ChartSeriesType.Column);                          
            
            //the DataTable bound to chart series
            ChartDataBindModel dbm = new ChartDataBindModel(mDataTable, "XYPoints");
            dbm.XName = "x";
            dbm.YNames = new string[] { "y" };
            series1.SeriesModelImpl = dbm;
            this.chartControl1.Series.Add(series1);

            this.xAxisLabelModel = new ChartDataBindAxisLabelModel(mDataTable, "XYPoints");
            this.xAxisLabelModel.LabelName = "z";

            this.chartControl1.Indexed = true;

            this.chartControl1.PrimaryXAxis.LabelsImpl = this.xAxisLabelModel;
            this.chartControl1.PrimaryXAxis.ValueType = ChartValueType.Custom;

        }

        private void InitializeDataTable()
        {
            mDataTable = new DataTable("XYPoints");
            //Add column x
            DataColumn mDataCol;
            mDataCol = new DataColumn();
            mDataCol.DataType = System.Type.GetType("System.Double");
            mDataCol.ColumnName = "x";
            mDataTable.Columns.Add(mDataCol);

            //Add column y
            mDataCol = new DataColumn();
            mDataCol.DataType = System.Type.GetType("System.Double");
            mDataCol.ColumnName = "y";
            mDataTable.Columns.Add(mDataCol);

            //Add column Z
            mDataCol = new DataColumn();
            mDataCol.DataType = System.Type.GetType("System.String");
            mDataCol.ColumnName = "z";
            mDataTable.Columns.Add(mDataCol);

            //Add row 1 to DataTable
            DataRow mDataRow = mDataTable.NewRow();
            mDataRow["x"] = 1;
            mDataRow["y"] = 700;
            mDataRow["z"] = "Bus";
            mDataTable.Rows.Add(mDataRow);

            //Add row 2 to DataTable
            mDataRow = mDataTable.NewRow();
            mDataRow["x"] = 2;
            mDataRow["y"] = 500;
            mDataRow["z"] = "Bike";
            mDataTable.Rows.Add(mDataRow);

            //Add row 3 to DataTable
            mDataRow = mDataTable.NewRow();
            mDataRow["x"] = 3;
            mDataRow["y"] = 300;
            mDataRow["z"] = "Car";
            mDataTable.Rows.Add(mDataRow);

            //Add row 4 to DataTable
            mDataRow = mDataTable.NewRow();
            mDataRow["x"] = 4;
            mDataRow["y"] = 400;
            mDataRow["z"] = "Train";
            mDataTable.Rows.Add(mDataRow);

            //Add row 5 to DataTable
            mDataRow = mDataTable.NewRow();
            mDataRow["x"] = 5;
            mDataRow["y"] = 600;
            mDataRow["z"] = "Airways";
            mDataTable.Rows.Add(mDataRow);
        }
    }
}